## org.jboss
Class Main

    java.lang.Object
      |
      +--org.jboss.Main

public class Main
extends java.lang.Object

The JBoss server main entry point.

Version:
  $Revision: 1.35.2.18 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Daniel O'Connor., Scott.Stark@jboss.org

Constructor Summary
`Main(java.lang.String confName, java.lang.String patchDir)`

Method Summary
`static void` `main(java.lang.String[] args)`
`static void` `systemExit(java.lang.String[] argv)` This method is here so that if JBoss is running under Alexandria (An NT Service Installer), Alexandria can shutdown the system down correctly.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main

    public Main(java.lang.String confName,
                java.lang.String patchDir)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

### systemExit

    public static void systemExit(java.lang.String[] argv)

  This method is here so that if JBoss is running under Alexandria (An NT Service Installer), Alexandria can shutdown the system down correctly.

Copyright © 2000 The JBoss Organization. All Rights Reserved.